Bug 241373 - ltp test gettimeofday02 fails: "Time is going backwards"
ltp test gettimeofday02 fails: "Time is going backwards"
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-05-25 11:11 EDT by Zing
Modified: 2008-01-07 22:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 22:42:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output (24.30 KB, text/plain)
2007-05-25 11:11 EDT, Zing
no flags Details

  None (edit)
Description Zing 2007-05-25 11:11:29 EDT
Description of problem:
the gettimeofday02 ltp test fails:
# ./gettimeofday02
gettimeofday02    0  INFO  :  checking if gettimeofday is monotonous, takes 30s
gettimeofday02    1  FAIL  :  Time is going backwards: old 1180105299.114454 vs
new 1180105299.114453!

Version-Release number of selected component (if applicable):
Fedora Core 6 x86_64 on an intel xeon dual processor blade (8843-E9U) in an IBM
Bladecenter H (8852-4XU)
kernel-2.6.20-1.2948.fc6.x86_64

How reproducible:
all the time on every gettimeofday02 run.

Steps to Reproduce:
1. compile gettimeofday02.c from the ltp test suite
2. run it
  
Additional Info:
# cat /proc/interrupts
           CPU0       CPU1       CPU2       CPU3
  0:    5304769          0          0          0   IO-APIC-edge      timer
  8:          0          0          0          0   IO-APIC-edge      rtc
 11:          0          0          0          0   IO-APIC-fasteoi   acpi
 16:     126505      11095          0          0   IO-APIC-fasteoi   uhci_hcd:usb1
 19:          0          0          0          0   IO-APIC-fasteoi   uhci_hcd:usb2
 24:      40656      33052     190008          0   IO-APIC-fasteoi   ioc0
 77:        102          0      54603        874   IO-APIC-fasteoi   eth0
NMI:          0          0          0          0
LOC:    5303930    5303872    5303797    5303221
ERR:          0
Comment 1 Zing 2007-05-25 11:11:29 EDT
Created attachment 155459 [details]
dmesg output
Comment 2 Chuck Ebbert 2007-06-22 17:52:25 EDT
Try using a different clock source.

I get:

$ ./gettimeofday02
gettimeofday02    0  INFO  :  checking if gettimeofday is monotonous, takes 30s
gettimeofday02    1  PASS  :  gettimeofday monotonous in 30 seconds

$ uname -rmp
2.6.20-1.2962.fc6 x86_64 x86_64

My dmesg:
time.c: Using 14.318180 MHz WALL HPET GTOD HPET/TSC timer.

Yours says:
time.c: Using 3.579545 MHz WALL PM GTOD PIT/TSC timer.

Comment 3 Zing 2007-06-26 09:54:56 EDT
Yes, that helped... clocksource of acpi_pm worked for me.
Comment 4 Jon Stanley 2008-01-07 20:47:13 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 5 Zing 2008-01-07 22:42:40 EST
F8 on a different blade, same type of hardware:

Time: tsc clocksource has been installed.

# uname -rmp
2.6.23.9-85.fc8 x86_64 x86_64
# ./gettimeofday02 
gettimeofday02    0  INFO  :  checking if gettimeofday is monotonous, takes 30s
gettimeofday02    1  PASS  :  gettimeofday monotonous in 30 seconds

Note You need to log in before you can comment on or make changes to this bug.